<?php

namespace App\Controllers;

use App\Models\Model_User;

class Auth extends BaseController
{

    public function __construct()
    {
        // helper(['form']);
        $this->Model_User = new Model_User();
    }

    //perintah tampilkan form login
    public function Index()
    {
        $data = [
            'judul_web' => 'Login',
            'validation' => \config\Services::validation(),
        ];

        return view('user/v_user_login', $data);
    }

    //perintah cek data login
    public function Cek_Login()
    {
        //cek validasi
        if ($this->validate([
            'username' => [
                'label' => 'Username',
                'rules' => 'required',
                'errors' => [
                    'required' => '{field} Wajib Diisi'
                ]
            ],
            'password' => [
                'label' => 'Password',
                'rules' => 'required',
                'errors' => [
                    'required' => '{field} Wajib Diisi'
                ]
            ],
        ])) {

            //jika valid
            $username = $this->request->getPost('username');
            $password = $this->request->getPost('password');

            $cek_login = $this->Model_User->data_user($username, $password);
            if ($cek_login) {
                //jika data cocok
                session()->set('username', $cek_login['username']);
                session()->set('nama', $cek_login['nama']);
                session()->set('foto_user', $cek_login['foto_user']);
                //login berhasil dan mengarahkan ke Home
                return redirect()->to(base_url('Home'));
            } else {
                //jika data tidak cocok
                session()->setFlashdata('error', 'Login Gagal !! .. Username Atau Password Salah !!');
                return redirect()->to(base_url('/'));
            }
        }
    }


    //========================= PROFIL ============================================//

    //perintah tampilkan data profil user
    public function Profil_User($username)
    {
        $model = new Model_User();
        $data = [
            'judul_web' => 'Profil User',
            'judul_halaman' => 'Profil User',
            'isi'    => 'user/v_user_profil',
            'username' => $model->data_profil($username),
        ];
        return view('layout/v_template', $data);
    }

    //perintah ubah profil user
    public function Ubah_Profil1($username)
    {
        if ($this->validate([
            'username' => [
                'label' => 'Username',
                'rules' => 'required',
                'errors' => [
                    'required' => '{field} Wajib Diisi'
                ]
            ],
            'nama' => [
                'label' => 'Nama',
                'rules' => 'required',
                'errors' => [
                    'required' => '{field} Wajib Diisi'
                ]
            ],
            'password' => [
                'label' => 'Password',
                'rules' => 'required',
                'errors' => [
                    'required' => '{field} Wajib Diisi'
                ]
            ],
            'foto_profil' => [
                'label' => 'Foto Profil',
                'rules' => 'uploaded[foto_profil]|max_size[foto_profil,1024]|mime_in[foto_profil,image/png,image/jpeg,image/jpg,image/gif,image/ico]',
                'errors' => [
                    'uploaded' => '{field} Wajib Diisi !!!',
                    'max_size' => '{field} Max 1024 KB',
                    'mime_in' => 'Format {field} Wajib PNG, JPG, JPEG, GIF, ICO'
                ]
            ],
        ])) {
            //mengambil file foto dari form input
            $foto = $this->request->getFile('foto_profil');
            if ($foto->getError() == 4) {
                //jika foto tidak diganti
                $data = [
                    'nama' => $this->request->getPost('nama'),
                    'username' => $this->request->getPost('username'),
                    'password' => $this->request->getPost('password'),
                    'status' => $this->request->getPost('status'),
                    'foto_user' =>  $foto,
                ];
                $this->Model_User->edit_profil($data);
            } else {
                //merename nama file foto
                $nama_file = $foto->getRandomName();
                //jika valid
                $model = new Model_User();
                $data = [
                    'nama' => $this->request->getPost('nama'),
                    'username' => $this->request->getPost('username'),
                    'password' => $this->request->getPost('password'),
                    'status' => $this->request->getPost('status'),
                    'foto_user' => $nama_file,
                ];

                //memindahkan file foto dari form input ke folder foto di directory
                $foto->move('foto_user', $nama_file);
                $this->Model_User->edit_profil($data);
            }
            $this->Model_User->edit_profil($data, $username);
            session()->setFlashdata('pesan', 'Profil User Berhasil Diubah');
            return redirect()->to(base_url('Auth/Profil_User/' . $username));
        } else {
            //jika tidak valid
            session()->setFlashdata('errors', \Config\Services::validation()->getErrors());
            return redirect()->to(base_url('Auth/Profil_User/' . $username));
        }
    }


    public function Ubah_Profil($username)
    {
        if ($this->validate([
            'username' => [
                'label' => 'Username',
                'rules' => 'required',
                'errors' => [
                    'required' => '{field} Wajib Diisi'
                ]
            ],
            'nama' => [
                'label' => 'Nama',
                'rules' => 'required',
                'errors' => [
                    'required' => '{field} Wajib Diisi'
                ]
            ],
            'password' => [
                'label' => 'Password',
                'rules' => 'required',
                'errors' => [
                    'required' => '{field} Wajib Diisi'
                ]
            ],
            'foto_user' => [
                'label' => 'Foto User',
                'rules' => 'uploaded[foto_user]|max_size[foto_user,1024]|mime_in[foto_user,image/png,image/jpeg,image/jpg,image/gif,image/ico]',
                'errors' => [
                    'uploaded' => '{field} Wajib Diisi !!!',
                    'max_size' => '{field} Max 1024 KB',
                    'mime_in' => 'Format {field} Wajib PNG, JPG, JPEG, GIF, ICO'
                ]
            ],
        ])) {
            //mengambil file foto dari form input
            $foto = $this->request->getFile('foto_user');
            if ($foto->getError() == 4) {
                //jika foto tidak diganti
                $data = [
                    'nama' => $this->request->getPost('nama'),
                    'username' => $this->request->getPost('username'),
                    'password' => $this->request->getPost('password'),
                    'foto_user' =>  $foto,
                ];
                $this->Model_User->edit_profil($data);
            } else {
                //merename nama file foto
                $nama_file = $foto->getRandomName();
                //jika valid
                $data = [
                    'nama' => $this->request->getPost('nama'),
                    'username' => $this->request->getPost('username'),
                    'password' => $this->request->getPost('password'),
                    'foto_user' => $nama_file,
                ];
                //memindahkan file foto dari form input ke folder foto di directory
                $foto->move('foto_user', $nama_file);
                $this->Model_User->edit_profil($data);
            }
            $this->Model_User->edit_profil($data, $username);
            session()->setFlashdata('pesan', 'Data Profil Berhasil Diubah');
            return redirect()->to(base_url('Home'));
        } else {
            //jika tidak valid
            session()->setFlashdata('errors', \Config\Services::validation()->getErrors());
            return redirect()->to(base_url('Home'));
        }
    }


    //========================== LOGOUT ==================//
    public function Logout()
    {
        session()->remove('log');
        session()->remove('username');
        session()->remove('nama');
        session()->remove('foto');
        session()->remove('status');
        return redirect()->to(base_url('/'));
    }
}
