<?php

namespace App\Controllers;

use App\Models\Model_Hasil;

date_default_timezone_set("Asia/Jakarta");

class Hasil extends BaseController
{

    public function __construct()
    {
        $this->Model_Hasil = new Model_Hasil();
    }


    public function Jasa_Langsung()
    {
        $request = \Config\Services::request();
        $tgl_awal = date("Y-m-d", strtotime($request->getPost('tgl_awal')));
        $tgl_akhir = date("Y-m-d", strtotime($request->getPost('tgl_akhir')));

        $Model_Hasil = new Model_Hasil();
        $jasa_langsung = $Model_Hasil->jasa_langsung($tgl_awal, $tgl_akhir);
        $jumlah_rs = $Model_Hasil->jumlah_rs($tgl_awal, $tgl_akhir);
        $jumlah_konversi = $Model_Hasil->jumlah_konversi($tgl_awal, $tgl_akhir);

        $data = [
            'judul_web' => 'Jasa Langsung (JL)',
            'judul_halaman' => 'Jasa Langsung (JL)',
            'isi'    => 'hasil/jasa_langsung',

            'tgl_registrasi' => date('Y-m-d'),
            'tgl_awal' => $tgl_awal,
            'tgl_akhir' => $tgl_akhir,

            'jasa_langsung' => $jasa_langsung,
            'jumlah_rs' => $jumlah_rs,
            'jumlah_konversi' => $jumlah_konversi,
        ];
        return view('layout/v_template', $data);
    }

    public function Jasa_Langsung_Penerima()
    {
        $request = \Config\Services::request();
        $tgl_awal = date("Y-m-d", strtotime($request->getPost('tgl_awal')));
        $tgl_akhir = date("Y-m-d", strtotime($request->getPost('tgl_akhir')));
        $penerima = $request->getPost('penerima');

        $Model_Hasil = new Model_Hasil();
        $jasa_langsung_penerima = $Model_Hasil->jasa_langsung_penerima($tgl_awal, $tgl_akhir, $penerima);
        $ambil_penerima = $Model_Hasil->ambil_penerima($tgl_awal, $tgl_akhir);
        $jumlah_rs_penerima = $Model_Hasil->jumlah_rs_penerima($tgl_awal, $tgl_akhir, $penerima);
        $jumlah_konversi_penerima = $Model_Hasil->jumlah_konversi_penerima($tgl_awal, $tgl_akhir, $penerima);

        $data = [
            'judul_web' => 'Jasa Langsung (JL) Per Penerima',
            'judul_halaman' => 'Jasa Langsung (JL) Per Penerima',
            'isi'    => 'hasil/jasa_langsung_penerima',

            'tgl_registrasi' => date('Y-m-d'),
            'tgl_awal' => $tgl_awal,
            'tgl_akhir' => $tgl_akhir,

            'jasa_langsung_penerima' => $jasa_langsung_penerima,
            'ambil_penerima' => $ambil_penerima,
            'jumlah_rs_penerima' => $jumlah_rs_penerima,
            'jumlah_konversi_penerima' => $jumlah_konversi_penerima,
        ];
        return view('layout/v_template', $data);
    }

    // ============ JASA TIDAK LANGSUNG ==============

    public function Jasa_TidakLangsung()
    {
        $request = \Config\Services::request();
        $tgl_awal = date("Y-m-d", strtotime($request->getPost('tgl_awal')));
        $tgl_akhir = date("Y-m-d", strtotime($request->getPost('tgl_akhir')));

        $Model_Hasil = new Model_Hasil();
        $jasa_tidaklangsung = $Model_Hasil->jasa_tidaklangsung($tgl_awal, $tgl_akhir);
        $jumlah_jtlst_rs = $Model_Hasil->jumlah_jtlst_rs($tgl_awal, $tgl_akhir);
        $jumlah_jtlst_konversi = $Model_Hasil->jumlah_jtlst_konversi($tgl_awal, $tgl_akhir);
        $jumlah_jtlp_rs = $Model_Hasil->jumlah_jtlp_rs($tgl_awal, $tgl_akhir);
        $jumlah_jtlp_konversi = $Model_Hasil->jumlah_jtlp_konversi($tgl_awal, $tgl_akhir);

        $data = [
            'judul_web' => 'Jasa Tidak Langsung (JTL)',
            'judul_halaman' => 'Jasa Tidak Langsung (JTL)',
            'isi'    => 'hasil/jasa_tidak_langsung',

            'tgl_registrasi' => date('Y-m-d'),
            'tgl_awal' => $tgl_awal,
            'tgl_akhir' => $tgl_akhir,

            'jasa_tidaklangsung' => $jasa_tidaklangsung,
            'jumlah_jtlst_rs' => $jumlah_jtlst_rs,
            'jumlah_jtlst_konversi' => $jumlah_jtlst_konversi,
            'jumlah_jtlp_rs' => $jumlah_jtlp_rs,
            'jumlah_jtlp_konversi' => $jumlah_jtlp_konversi,
        ];
        return view('layout/v_template', $data);
    }
}
