<?php

namespace App\Controllers;

use App\Models\Model_Input;
use PhpOffice\PhpSpreadsheet\Spreadsheet;
use PhpOffice\PhpSpreadsheet\Writer\Xlsx;

date_default_timezone_set("Asia/Jakarta");

class Input extends BaseController
{

    public function __construct()
    {
        $this->Model_Input = new Model_Input();
        $spreadsheet = new Spreadsheet();
    }

    //Perintah Tampil pendaftaran
    public function Tampil_Input()
    {
        $request = \Config\Services::request();
        $no_reg = $request->getPost('no_reg');
        $data = [
            'judul_web' => 'Daftar Input',
            'judul_halaman' => 'Daftar Input',
            'isi'    => 'input/daftar_input',
            'tampil_input' => $this->Model_Input->tampil_input(),
            'ambil_cbgs' => $this->Model_Input->ambil_cbgs($no_reg),
        ];
        return view('layout/v_template', $data);
    }


    //Perintah Tampil pendaftaran tanggal lain
    public function Data_Input()
    {
        $request = \Config\Services::request();
        $no_reg = $request->getPost('no_reg');
        $tgl_awal = date("Y-m-d", strtotime($request->getPost('tgl_awal')));
        $tgl_akhir = date("Y-m-d", strtotime($request->getPost('tgl_akhir')));
        $Model_Input = new Model_Input();
        $data_input = $Model_Input->data_input($tgl_awal, $tgl_akhir);

        $data = [
            'judul_web' => 'Riwayat Input',
            'judul_halaman' => 'Riwayat Input',
            'isi'    => 'input/riwayat_input',
            'tgl_registrasi' => date('Y-m-d'),
            'tgl_awal' => $tgl_awal,
            'tgl_akhir' => $tgl_akhir,
            'data_input' => $data_input,
            'ambil_cbgs' => $this->Model_Input->ambil_cbgs($no_reg),
        ];
        return view('layout/v_template', $data);
    }


    public function Input_Tindakan($no_reg)
    {
        $request = \Config\Services::request();
        $instalasi = $request->getPost('instalasi_induk');
        $no_idt1 = $this->Model_Input->no_idt1();
        $no_idt2 = $this->Model_Input->no_idt2();
        $detail_tmo = $request->getPost('detail_tmo');

        $data = [
            'judul_web' => 'Input Tindakan',
            'judul_halaman' => 'Input Tindakan',
            'isi'    => 'input/detail_input',
            'no_otomatis' => $no_reg,
            'no_idt' => $this->Model_Input->no_idt(),
            'data_pelayanan' => $this->Model_Input->data_pelayanan($no_reg),
            'data_tindakan' => $this->Model_Input->data_tindakan($no_reg),
            // 'klp_tindakan' => $this->Model_Input->ambil_klptindakan($instalasi),
            'instalasi' => $this->Model_Input->ambil_instalasi(),
            'klinik' => $this->Model_Input->ambil_klinik(),
            'kamar' => $this->Model_Input->ambil_kamar(),
            'ruang' => $this->Model_Input->ambil_ruang(),
            'spesialis' => $this->Model_Input->ambil_spesialis(),
            'pelaksana' => $this->Model_Input->ambil_pelaksana(),
            'pendamping' => $this->Model_Input->ambil_pendamping(),
            'total_tarif' => $this->Model_Input->total_tarif($no_reg),
            'tarif_cbgs' => $this->Model_Input->tarif_cbgs($no_reg),
            'ambil_cbgs' => $this->Model_Input->ambil_cbgs($no_reg),
            //====Modal====
            'no_idt1' => $no_idt1,
            'no_idt2' => $no_idt2,
            'detail_tmo' => $detail_tmo,
            'detail_pelayanan' => $this->Model_Input->detail_pelayanan($no_reg),
            'klp_tmo' => $this->Model_Input->ambil_klptmo($instalasi),
            'ambil_tmo' => $this->Model_Input->ambil_tmo($instalasi),
            'data_tmo' => $this->Model_Input->ambil_tindakan($detail_tmo),
            'total_tarif' => $this->Model_Input->total_tarif($no_reg),
            'ambil_cbgs' => $this->Model_Input->ambil_cbgs($no_reg),
        ];
        return view('layout/v_template', $data);
    }


    // perintah tampilkan input tindakan
    public function Tindakan()
    {
        $request = \Config\Services::request();
        $instalasi = "Rawat Jalan (IRJ)";
        $no_reg = $this->Model_Input->no_otomatis();
        $detail_tindakan = $request->getPost('detail_tindakan');

        //=== Modal =====
        $no_idt1 = $this->Model_Input->no_idt1();
        $no_idt2 = $this->Model_Input->no_idt2();
        $detail_tmo = $request->getPost('detail_tmo');

        $data = [
            'judul_web' => 'Input Tindakan',
            'judul_halaman' => 'Input Tindakan',
            'isi'    => 'input/input',

            'refresh_data' => $this->Model_Input->refresh_data($no_reg),
            'no_otomatis' => $no_reg,
            'no_idt' => $this->Model_Input->no_idt(),
            'klinik' => $this->Model_Input->ambil_klinik(),
            'instalasi' => $this->Model_Input->ambil_instalasi(),
            'kamar' => $this->Model_Input->ambil_kamar(),
            'ruang' => $this->Model_Input->ambil_ruang(),
            'spesialis' => $this->Model_Input->ambil_spesialis(),
            'pelaksana' => $this->Model_Input->ambil_pelaksana(),
            'pendamping' => $this->Model_Input->ambil_pendamping(),
            'klp_tindakan' => $this->Model_Input->ambil_klptindakan($instalasi),
            'data_tindakan' => $this->Model_Input->ambil_tindakan($detail_tindakan),
            'data_pasien' => $this->Model_Input->data_pasien($no_reg),
            'data_input_tindakan' => $this->Model_Input->data_input_tindakan($no_reg),
            'total_tarif' => $this->Model_Input->total_tarif($no_reg),
            'ambil_cbgs' => $this->Model_Input->ambil_cbgs($no_reg),

            //====Modal====
            'no_idt1' => $no_idt1,
            'no_idt2' => $no_idt2,
            'detail_tmo' => $detail_tmo,
            'detail_pelayanan' => $this->Model_Input->detail_pelayanan($no_reg),
            'klp_tmo' => $this->Model_Input->ambil_klptmo($instalasi),
            'ambil_tmo' => $this->Model_Input->ambil_tmo($instalasi),
            'data_tmo' => $this->Model_Input->ambil_tindakan($detail_tmo),
            'total_tarif' => $this->Model_Input->total_tarif($no_reg),
            'ambil_cbgs' => $this->Model_Input->ambil_cbgs($no_reg),
        ];
        return view('layout/v_template', $data);
    }

    public function Hapus_Tindakan($idt)
    {
        $request = \Config\Services::request();
        $no_reg = $request->getPost('no_reg');

        $this->Model_Input->hapus_idt_tindakan($idt);
        // session()->setFlashdata('pesan', 'Data Tindakan Berhasil Dihapus');
        return redirect()->to(base_url('Input/Tindakan/' . $no_reg));
    }


    public function Input_TMO()
    {
        $request = \Config\Services::request();
        $instalasi = "Rawat Jalan (IRJ)";
        $no_reg = $this->Model_Input->no_otomatis();
        $detail_tmo = $request->getPost('detail_tmo');
        $klinik = $request->getPost('klinik');
        $no_idt1 = $this->Model_Input->no_idt();
        $no_idt2 = $this->Model_Input->no_idt1();

        $data = [
            'judul' => 'Input Tindakan | MEDIFEE',
            'no_otomatis' => $no_reg,
            'no_idt1' => $no_idt1,
            'no_idt2' => $no_idt2,
            'detail_pelayanan' => $this->Model_Input->detail_pelayanan($no_reg),
            'ruang' => $this->Model_Input->ambil_ruang(),
            'klp_tmo' => $this->Model_Input->ambil_klptmo($instalasi),
            'ambil_tmo' => $this->Model_Input->ambil_tmo($instalasi),
            'pelaksana' => $this->Model_Input->ambil_pelaksana(),
            'pendamping' => $this->Model_Input->ambil_pendamping(),

            'data_tmo' => $this->Model_Input->ambil_tindakan($detail_tmo),
            'total_tarif' => $this->Model_Input->total_tarif($no_reg),
            'ambil_cbgs' => $this->Model_Input->ambil_cbgs($no_reg),
        ];
        echo view('layout/v_header');
        echo view('input/input_tmo', $data);
        echo view('layout/v_footer');
    }


    //perintah ambil tindakan
    public function Detail_Tindakan()
    {
        $klp_tindakan = $this->request->getPost('klp_tindakan');
        $klinik = $this->request->getPost('klinik');
        $detail_tindakan = $this->Model_Input->detail_tindakan($klp_tindakan);
        if ($klp_tindakan != "NA") {
            $Qcektmo = $this->Model_Input->ambil_porsijaspel($klp_tindakan);
            if ($Qcektmo[0]['istmno'] == 1) {
                $Qruang = $this->Model_Input->ambil_ruang_by_kode($klinik);
                $detail_tindakan = $this->Model_Input->rincian_tindakan_new($Qruang[0]['ruang'], $detail_tindakan[0]['klp_tindakan']);
            }
        } else {
            $Qcektmo = array(array("istmno" => 0));
        }

        $bgkategori = '<option value="">- Pilih -</option>';
        foreach ($detail_tindakan as $baris) {
            $bgkategori = $bgkategori . "<option value=" . $baris['kd_tarif'] . ">" . $baris['detail_tindakan'] . "</option>";
        }
        echo json_encode(array("msg" => "success", "istmno" => $Qcektmo[0]['istmno'], "result" => base64_encode($bgkategori)));
    }


    //Perintah Ambil Data Tindakan
    public function Data_Tindakan()
    {
        $klinik = $this->request->getPost('klinik');
        $klp_tmo = $this->request->getPost('klp_tmo');
        $istmno = $this->request->getPost('istmno');
        $istmo = $this->request->getPost('istmo');
        $kode = $this->request->getPost('kode');
        $inst_induk = $this->request->getPost('inst_induk');
        $detail_tindakan = $this->request->getPost('detail_tindakan');
        $Qruang = $this->Model_Input->ambil_ruang_by_kode($klinik);
        $rincian_tindakan = $this->Model_Input->rincian_tindakan_inst_induk($inst_induk, $detail_tindakan, $Qruang[0]['ruang']);
        //print_r($rincian_tindakan);

        if ($istmno == 1) {

            $kode = $rincian_tindakan[0]['kode_tarif'];
            $data['rincian'] = $rincian_tindakan[0]['detail_tindakan'];
        }

        $model = new Model_Input();
        $query = $model->ambil_tindakan($kode);
        $data = $query[0];
        if ($istmo ==  1) {
            $data['dokter_operator'] = $this->Model_Input->jenis_tmo($klp_tmo, "Dokter Operator")[0]['porsi_jp'];
            $data['dokter_anastesi'] = $this->Model_Input->jenis_tmo($klp_tmo, "Dokter Anestesi")[0]['porsi_jp'];
            $data['perawat_ok'] = $this->Model_Input->jenis_tmo($klp_tmo, "Perawat OK")[0]['porsi_jp'];
            $data['penata_anastesi'] = $this->Model_Input->jenis_tmo($klp_tmo, "Penata Anestesi")[0]['porsi_jp'];
        }

        $data['success'] = true;
        $data['message'] = 'success';
        echo json_encode($data);
    }


    function findIndexOfKey($key_to_index, $array)
    {
        return array_search($key_to_index, array_keys($array));
    }


    public function Data_Porsi($kode_kelompok)
    {
        $model = new Model_Input();
        if ($kode_kelompok != "NA") {
            $query = $model->ambil_porsijaspel($kode_kelompok);
            $data = $query[0];
        } else {
            $data['JL_Asisten'] = 0;
            $data['JL_Pelaksana'] = 0;
            $data['JTL_Pegawai'] = 0;
            $data['JTL_Struktural'] = 0;
            $data['kode_kelompok'] = $kode_kelompok;
            $data['istmno'] = 0;
        }

        $data['success'] = true;
        $data['message'] = 'success';
        echo json_encode($data);
    }



    //perintah ambil rincian tindakan TMNO dan TMO
    public function Rincian_Tindakan()
    {
        $klp_tindakan = $this->request->getPost('klp_tindakan');
        $rincian_tindakan = $this->Model_Input->rincian_tindakan($klp_tindakan);
        echo '<option value="">- Pilih -</option>';
        foreach ($rincian_tindakan as $baris) {
            echo "<option value=" . $baris['rincian_tindakan'] . ">" . $baris['rincian_tindakan'] . "</option>";
        }
    }


    //Perintah Simpan Pesanan
    public function Simpan_Input_RJTL()
    {
        $tanggal = (string) $this->request->getPost('tanggal');
        $data = [
            'IDT' => $this->request->getPost('idt'),
            'no_rm' => $this->request->getPost('no_rm'),
            'nama' => $this->request->getPost('nama_pasien'),
            'no_reg' => $this->request->getPost('no_reg'),
            'tanggal' => date("Y-m-d", strtotime($tanggal)),
            'kode' => $this->request->getPost('kode_tindakan'),
            'layanan' => $this->request->getPost('detail_tindakan'),
            'pelaksana' => $this->request->getPost('pelaksana'),
            'asisten' => $this->request->getPost('pendamping'),
            'biaya' =>  str_replace(".", "", $this->request->getPost('jasa_sarana')),
            'jasa' => $this->request->getPost('jasa_pelayanan'),
            'tarif' => str_replace(".", "", $this->request->getPost('tarif')),
            'jp_pelaksana' => $this->request->getPost('jl_pelaksana'),
            'jp_asisten' => $this->request->getPost('jl_pendamping'),
            'jp_struktural' => $this->request->getPost('jtl_manajemen'),
            'jp_jtl' => $this->request->getPost('jtl_pegawai'),
            'ruang' => $this->request->getPost('ruang'),
        ];

        $input = $this->Model_Input->simpan_input_rjtl($data);
        if ($input) {
            echo json_encode(array("msg" => "success", "no_idt" => $this->Model_Input->no_idt()));
        } else {
            echo json_encode(array("msg" => "gagal"));
        }
    }


    public function Simpan_Input_RJTL_TMO_New()
    {
        $no_rm = $this->request->getPost('no_rm');
        $nama = $this->request->getPost('nama_pasien');
        $no_reg = $this->request->getPost('no_reg');
        $tanggal = (string) $this->request->getPost('tanggal');
        $detail   = $this->request->getPost('detail');

        foreach ($detail  as $x => $row) {
            if ($x < count($detail)) {
                $data_add_hasiljaspel  = array(
                    'IDT'               => $row['idt'],
                    'no_rm'             => $no_rm,
                    'nama'              => $nama,
                    'no_reg'            => $no_reg,
                    'tanggal'           => date("Y-m-d", strtotime($tanggal)),
                    'kode'              => $row['kode'],
                    'layanan'           => $row['tindakan'],
                    'pelaksana'         => $row['pelaksana'],
                    'asisten'           => $row['pendamping'],
                    'biaya'             => str_replace(".", "", $row['js']),
                    'jasa'              => str_replace(".", "", $row['jp']),
                    'tarif'             => str_replace(".", "", $row['tarif']),
                    'jp_pelaksana'      => str_replace(".", "", $row['jlp']),
                    'jp_asisten'        => str_replace(".", "", $row['jla']),
                    'jp_struktural'     => str_replace(".", "", $row['jtlst']),
                    'jp_jtl'            => str_replace(".", "", $row['jtlp']),
                    'ruang'             => $row['ruang'],
                );

                $input = $this->Model_Input->simpan_input_rjtl($data_add_hasiljaspel);
            }
        }

        if ($input) {
            echo json_encode(array("msg" => "success", "no_idt" => $this->Model_Input->no_idt()));
        } else {
            echo json_encode(array("msg" => "gagal"));
        }
    }

    public function Simpan_Input_RJTL_TMO()
    {
        $no_rm = $this->request->getPost('no_rm');
        $nama = $this->request->getPost('nama_pasien');
        $no_reg = $this->request->getPost('no_reg');
        $tanggal = (string) $this->request->getPost('tanggal');

        $temp   = json_decode(($this->request->getPost('temp') != null ? $this->request->getPost('temp') : ""));

        foreach ($temp  as $x => $row) {
            if ($x < count($temp)) {
                $data_add_hasiljaspel  = array(
                    'IDT'               => $row->IDT,
                    'no_rm'             => $no_rm,
                    'nama'              => $nama,
                    'no_reg'            => $no_reg,
                    'tanggal'           => date("Y-m-d", strtotime($tanggal)),
                    'kode'              => $row->Kode,
                    'layanan'           => $row->Tindakan,
                    'pelaksana'         => $row->Pelaksana,
                    'asisten'           => $row->Pendamping,
                    'biaya'             => str_replace(".", "", $row->JS),
                    'jasa'              => str_replace(".", "", $row->JP),
                    'tarif'             => str_replace(".", "", $row->Tarif),
                    'jp_pelaksana'      => str_replace(".", "", $row->JLP),
                    'jp_asisten'        => str_replace(".", "", $row->JLA),
                    'jp_struktural'     => str_replace(".", "", $row->JTLST),
                    'jp_jtl'            => str_replace(".", "", $row->JTLP),
                    'ruang'             => $row->Ruang,
                );

                //print_r($data_add_hasiljaspel);
                $input = $this->Model_Input->simpan_input_rjtl($data_add_hasiljaspel);
            }
        }

        if ($input) {
            echo json_encode(array("msg" => "success", "no_idt" => $this->Model_Input->no_idt()));
        } else {
            echo json_encode(array("msg" => "gagal"));
        }
    }


    public function Refresh_Input()
    {
        return redirect()->to(base_url('Input/Tindakan'));
    }


    public function Simpan_Input()
    {
        $request = \Config\Services::request();
        $total_tarif = str_replace(".", "", $request->getPost('total_tarif'));
        $tarif_cbgs = str_replace(".", "", $request->getPost('tarif_cbgs'));
        $porsi_jasa = str_replace(".", "", $request->getPost('porsi_jp'));

        $data = [
            'no_reg' => $request->getPost('no_reg'),
            'tanggal' => date("Y-m-d", strtotime($request->getPost('tanggal'))),
            'no_rm' => $request->getPost('no_rm'),
            'nama_pasien' => $request->getPost('nama_pasien'),
            'total_tarif' => $total_tarif,
            'tarif_cbgs' => $tarif_cbgs,
            'porsi_jasa' => $porsi_jasa,
            'instalasi' => $request->getPost('inst_induk'),
            'status' => $request->getPost('status')
        ];
        $this->Model_Input->simpan_input($data);
        session()->setFlashdata('pesan', 'Data Input Tindakan Berhasil Disimpan');
        return redirect()->to(base_url('Input/Tindakan/'));
    }


    public function Update_Input($no_reg)
    {
        $request = \Config\Services::request();
        $total_tarif = str_replace(".", "", $request->getPost('total_tarif'));

        $data = [
            'no_reg' => $this->request->getPost('no_reg'),
            'tanggal' => date("Y-m-d", strtotime($request->getPost('tanggal'))),
            'no_rm' => $request->getPost('no_rm'),
            'nama_pasien' => $request->getPost('nama_pasien'),
            'total_tarif' => $total_tarif,
            'instalasi' => $request->getPost('inst_induk'),
            'status' => $request->getPost('status')
        ];
        $this->Model_Input->update_input($data, $no_reg);
        session()->setFlashdata('pesan', 'Data Input Tindakan Berhasil Diubah');
        return redirect()->to(base_url('Input/Input_Tindakan/' . $no_reg));
    }

    public function Tarif_CBGs($no_reg)
    {
        $request = \Config\Services::request();
        $ambil_tarif = $this->Model_Input->data_pelayanan($no_reg);
        $total_tarif = str_replace(".", "", $request->getPost('total_tarif'));
        $tarif_cbgs = str_replace(".", "", $request->getPost('tarif_cbgs'));
        $porsi_jasa = str_replace(".", "", $request->getPost('porsi_jp'));
        $ambil_cbgs = $this->Model_Input->ambil_cbgs($no_reg);

        $data = [
            'judul_web' => 'Input Tarif CBGs',
            'judul_halaman' => 'Input Tarif CBGs',
            'isi'    => 'input/inacbgs',
            'no_reg' => $this->request->getPost('no_reg'),
            'tanggal' => date("Y-m-d", strtotime($request->getPost('tgl_registrasi'))),
            'no_rm' => $request->getPost('no_rm'),
            'nama_pasien' => $request->getPost('nama_pasien'),
            'total_tarif' => $total_tarif,
            'instalasi' => $request->getPost('instalasi'),
            'ambil_tarif' => $ambil_tarif,
            'ambil_cbgs' => $ambil_cbgs,
            'tarif_cbgs' => $tarif_cbgs,
            'porsi_jasa' => $porsi_jasa,
            'keterangan' => $request->getPost('keterangan')
        ];
        return view('layout/v_template', $data);
    }


    public function Simpan_CBGs($no_reg)
    {
        $request = \Config\Services::request();
        $total_tarif = str_replace(".", "", $request->getPost('total_tarif'));
        $tarif_cbgs = str_replace(".", "", $request->getPost('tarif_cbgs'));
        $porsi_jasa = str_replace(".", "", $request->getPost('porsi_jp'));

        $data = [
            'no_reg' => $this->request->getPost('no_reg'),
            'tanggal' => date("Y-m-d", strtotime($request->getPost('tgl_registrasi'))),
            'no_rm' => $request->getPost('no_rm'),
            'nama_pasien' => $request->getPost('nama_pasien'),
            'total_tarif' => $total_tarif,
            'instalasi' => $request->getPost('instalasi'),
            'tarif_cbgs' => $tarif_cbgs,
            'porsi_jasa' => $porsi_jasa,
            'porsi_biaya' => $request->getPost('porsi_js'),
            'keterangan' => $request->getPost('keterangan')
        ];
        $this->Model_Input->update_input($data, $no_reg);
        session()->setFlashdata('pesan', 'Tarif INA CBGs Berhasil Disimpan');
        return redirect()->to(base_url('Input/Tampil_Input'));
    }


    public function Hapus_Input($no_reg)
    {
        $this->Model_Input->hapus_input_pelayanan($no_reg);
        $this->Model_Input->hapus_detail_pelayanan($no_reg);
        $this->Model_Input->hapus_hasiljp_konversi($no_reg);
        $this->Model_Input->hapus_hasiljp_rs($no_reg);
        session()->setFlashdata('pesan', 'Data Input Berhasil Dihapus');
        return redirect()->to(base_url('Input/Tampil_Input'));
    }


    public function Hapus_RiwayatInput($no_reg)
    {
        $this->Model_Input->hapus_input_pelayanan($no_reg);
        $this->Model_Input->hapus_detail_pelayanan($no_reg);
        $this->Model_Input->hapus_hasiljp_konversi($no_reg);
        $this->Model_Input->hapus_hasiljp_rs($no_reg);
        session()->setFlashdata('pesan', 'Data Input Berhasil Dihapus');
        return redirect()->to(base_url('Input/Data_Input'));
    }

    public function DataRuangan()
    {
        $instalasi = $this->request->getPost('instalasi');
        $ruangan = $this->Model_Input->ambil_klinik_by_instalasi($instalasi);
        $klp_tindakan = $this->Model_Input->ambil_klptindakan($instalasi);
        $ruang_tindakan = $this->Model_Input->ambil_ruang_tindakan($instalasi);

        $bgklinik = '<option value="">- Pilih -</option>';
        foreach ($ruangan as $baris) {
            $bgklinik = $bgklinik . "<option value='" . $baris['kode'] . "'>" . $baris['ruang'] . "</option>";
        }

        $bgklp_tindakan = '<option value="">- Pilih Kelompok Tindakan -</option>';
        foreach ($klp_tindakan as $baris) {
            $bgklp_tindakan = $bgklp_tindakan . "<option value='" . $baris['kode_kelompok'] . "'>" . $baris['kelompok_tindakan'] . "</option>";
        }

        $bgruang_tindakan = '<option value="">- Pilih Ruang Tindakan -</option>';
        foreach ($ruang_tindakan as $baris) {
            $bgruang_tindakan = $bgruang_tindakan . "<option value='" . $baris['ruang'] . "'>" . $baris['ruang'] . "</option>";
        }
        echo json_encode(array("msg" => "success", "result" => base64_encode($bgklinik), "klp_tindakan" => base64_encode($bgklp_tindakan), "ruang_tindakan" => base64_encode($bgruang_tindakan)));
    }


    public function DataTMO()
    {
        $klinik_ksm = $this->request->getPost('klini_ksm');
        $klp_tindakan = $this->request->getPost('klp_tindakan');
        $tindakantmo = $this->Model_Input->ambil_tindakan_tmo($klinik_ksm, $klp_tindakan);

        $bgklinik = '<option value="">- Pilih  -</option>';
        foreach ($tindakantmo as $baris) {
            $bgklinik = $bgklinik . "<option value=" . $baris['kode_tindakan'] . ">" . $baris['rincian_tindakan'] . "</option>";
        }


        echo json_encode(array("msg" => "success", "result" => base64_encode($bgklinik)));
    }

    public function GetIDT()
    {
        $no_idt1 = $this->Model_Input->no_idt1();
        $no_idt2 = $this->Model_Input->no_idt2();
        echo json_encode(array("msg" => "success", "idt1" => $no_idt1, "idt2" => $no_idt2));
    }
}
