<?php

namespace App\Controllers;

use App\Models\Model_Proses;
use App\Models\Model_Input;

date_default_timezone_set("Asia/Jakarta");

class Proses extends BaseController
{

    public function __construct()
    {
        $this->Model_Proses = new Model_Proses();
        $this->Model_Input = new Model_Input();
    }


    // ======== PROSES KONVERSI PROPORSI ===============

    //Perintah Ambil Data Pasien
    public function Data_Pasien()
    {
        $request = \Config\Services::request();
        $tanggal = $request->getPost('tanggal');
        $no_rm = $request->getPost('no_rm');

        $model = new Model_Proses();
        $query = $model->ambil_pasien($no_rm, $tanggal);
        $data = $query[0];
        $data['success'] = true;
        $data['message'] = 'success';
        echo json_encode($data);
    }


    //Perintah Ambil Data Pasien
    public function Data_Klaim($no_reg)
    {
        // $request = \Config\Services::request();
        // $tanggal = $request->getPost('tanggal');

        $model = new Model_Proses();
        $query = $model->ambil_klaim($no_reg);
        $data = $query[0];
        $data['success'] = true;
        $data['message'] = 'success';
        echo json_encode($data);
    }


    public function Konversi()
    {
        $request = \Config\Services::request();
        $no_rm = $request->getPost('no_rm');
        $no_reg = $request->getPost('no_reg');
        $nama_pasien = $request->getPost('nama_pasien');
        $tanggal = $request->getPost('tanggal');

        $data = [
            'judul_web' => 'Proses Konversi',
            'judul_halaman' => 'Proses Konversi',
            'isi'    => 'proses/v_proses_konversi',
            'detail_pelayanan' => $this->Model_Proses->detail_pelayanan($no_reg),
            'ambil_klaim' => $this->Model_Proses->nilai_klaim($no_reg),
            'ambil_pasien' => $this->Model_Proses->ambil_pasien($no_rm, $tanggal),
            'jumlah_tarif' => $this->Model_Proses->jumlah_tarif($no_reg),
            'jumlah_js' => $this->Model_Proses->jumlah_js($no_reg),
            'jumlah_jp' => $this->Model_Proses->jumlah_jp($no_reg),
            'jumlah_jlp' => $this->Model_Proses->jumlah_jlp($no_reg),
            'jumlah_jla' => $this->Model_Proses->jumlah_jla($no_reg),
            'jumlah_jtlst' => $this->Model_Proses->jumlah_jtlst($no_reg),
            'jumlah_jtlp' => $this->Model_Proses->jumlah_jtlp($no_reg),
            'no_reg' => $no_reg,
            'no_rm' => $no_rm,
            'nama_pasien' => $nama_pasien,
        ];
        return view('layout/v_template', $data);
    }


    public function Proses_Konversi($no_reg)
    {
        $request = \Config\Services::request();
        // $no_rm = $request->getPost('no_rm');
        // $no_reg = $request->getPost('no_reg');
        // $nama_pasien = $request->getPost('nama_pasien');
        $tanggal = $request->getPost('tanggal');

        $data = [
            'judul_web' => 'Proses Konversi',
            'judul_halaman' => 'Proses Konversi',
            'isi'    => 'proses/v_riwayat_konversi',
            'data_pelayanan' => $this->Model_Input->data_pelayanan($no_reg),
            'detail_pelayanan' => $this->Model_Proses->detail_pelayanan($no_reg),
            'ambil_klaim' => $this->Model_Proses->nilai_klaim($no_reg),
            'jumlah_tarif' => $this->Model_Proses->jumlah_tarif($no_reg),
            'jumlah_js' => $this->Model_Proses->jumlah_js($no_reg),
            'jumlah_jp' => $this->Model_Proses->jumlah_jp($no_reg),
            'jumlah_jlp' => $this->Model_Proses->jumlah_jlp($no_reg),
            'jumlah_jla' => $this->Model_Proses->jumlah_jla($no_reg),
            'jumlah_jtlst' => $this->Model_Proses->jumlah_jtlst($no_reg),
            'jumlah_jtlp' => $this->Model_Proses->jumlah_jtlp($no_reg),
            'no_reg' => $no_reg,
        ];
        return view('layout/v_template', $data);
    }


    public function Perhitungan()
    {
        $request = \Config\Services::request();

        $no_reg = $request->getPost('no_reg');
        $porsi_jp = $request->getPost('porsi_jp');
        $porsi_js = $request->getPost('porsi_js');
        $tarif_cbgs = $request->getPost('tarif_cbgs');

        $response = $this->Model_Proses->hasil_konversi($no_reg);
        $jumlah_jp = $this->Model_Proses->jumlah_jp($no_reg);
        $jumlah_tarif = $this->Model_Proses->jumlah_tarif($no_reg);
        $jumlah_js = $this->Model_Proses->jumlah_js($no_reg);
        $jumlah_jp = $this->Model_Proses->jumlah_jp($no_reg);
        // $jumlah_jlp = $this->Model_Proses->jumlah_jlp($no_reg);
        // $jumlah_jla = $this->Model_Proses->jumlah_jla($no_reg);
        // $jumlah_jtlst = $this->Model_Proses->jumlah_jtlst($no_reg);
        // $jumlah_jtlp = $this->Model_Proses->jumlah_jtlp($no_reg);

        $res = array();
        $total_biaya = 0;
        $total_jasa = 0;
        $total_jp_asisten = 0;
        $total_jp_jtl = 0;
        $total_jp_pelaksana = 0;
        $total_jp_struktural = 0;
        $total_tarif = 0;
        $idt = "";
        $asisten = "";
        $layanan = "";
        $pelaksana = "";
        $ruang = "";
        $jasa_before = "";
        foreach ($response as $row) {

            $biaya = ($row['biaya'] / $jumlah_js) * $porsi_js;
            if ($row['jasa'] == 0) {
                $jasa = 0;
                $row['jasa'] = $jasa_before;
            } else {
                $row['jasa'] = $row['jasa'];
                $jasa = ($row['jasa'] / $jumlah_jp) * $porsi_jp;
                $jasa_before = $jasa;
            }
            //print_r($row['jasa']." / ".$jumlah_jp." * ".$porsi_jp);
            $porsi_jp_temp = ((float) $row['jasa'] / $jumlah_jp) * $porsi_jp;
            // $jp_pelaksana = $row['jasa'];
            //print_r($row['jp_pelaksana']."/ ".$row['jasa'] ."*". $porsi_jp_temp);
            $jp_pelaksana = ($row['jasa'] == 0 ? 0 : ((float)$row['jp_pelaksana'] / (float)$row['jasa']) * (float)$porsi_jp_temp);
            $jp_asisten = ($row['jasa'] == 0 ? 0 : ((float)$row['jp_asisten'] / (float)$row['jasa']) * (float)$porsi_jp_temp);
            $jp_struktural = ($row['jasa'] == 0 ? 0 : ((float)$row['jp_struktural'] / (float)$row['jasa']) * (float)$porsi_jp_temp);
            $jp_jtl = ($row['jasa'] == 0 ? 0 : ((float)$row['jp_jtl'] / (float)$row['jasa']) * (float)$porsi_jp_temp);
            $tarif = ($row['tarif'] / $jumlah_tarif) * $tarif_cbgs;
            $idt =  $row["IDT"];
            $asisten =  $row["asisten"];
            $res[] = array(
                "IDT" => $idt,
                "asisten" => $asisten,
                "biaya" => $this->format_rupiah($biaya),
                "jasa" => $this->format_rupiah($jasa),
                "jp_asisten" => $this->format_rupiah($jp_asisten),
                "jp_jtl" => $this->format_rupiah($jp_jtl),
                "jp_pelaksana" => $this->format_rupiah($jp_pelaksana),
                "jp_struktural" => $this->format_rupiah($jp_struktural),
                "layanan" => $row['layanan'],
                "pelaksana" => $row['pelaksana'],
                "ruang" => $row['ruang'],
                "tanggal" => date("d-m-Y", strtotime($row['tanggal'])),
                "tarif" => $this->format_rupiah($tarif),
            );
            $total_tarif = $total_tarif + $tarif;
            $total_biaya = $total_biaya + $biaya;
            $total_jasa = $total_jasa + $jasa;
            $total_jp_asisten = $total_jp_asisten + $jp_asisten;
            $total_jp_jtl = $total_jp_jtl + $jp_jtl;
            $total_jp_pelaksana = $total_jp_pelaksana + $jp_pelaksana;
            $total_jp_struktural = $total_jp_struktural + $jp_struktural;
        }
        $res[] = array(
            "IDT" => "",
            "asisten" => $row['asisten'],

            // "asisten" => $asisten,
            "biaya" => "<b>" . $this->format_rupiah($total_biaya) . "</b>",
            "jasa" => "<b>" . $this->format_rupiah($total_jasa) . "</b>",
            "jp_asisten" => "<b>" . $this->format_rupiah($total_jp_asisten) . "</b>",
            "jp_jtl" => "<b>" . $this->format_rupiah($total_jp_jtl) . "</b>",
            "jp_pelaksana" => "<b>" . $this->format_rupiah($total_jp_pelaksana) . "</b>",
            "jp_struktural" => "<b>" . $this->format_rupiah($total_jp_struktural) . "</b>",
            "layanan" => "<b> Jumlah </b>",
            "pelaksana" => $pelaksana,
            "ruang" => $ruang,
            "tanggal" => "&nbsp;",
            "tarif" => "<b>" . $this->format_rupiah($total_tarif) . "</b>",
        );

        echo json_encode(array('msg' => 'sukses', 'code' => "99", 'data' => $res));
    }

    public function Simpan()
    {
        $request = \Config\Services::request();
        $no_reg = $request->getPost('no_reg');
        $no_rm = $request->getPost('no_rm');
        $pasien = $request->getPost('nama_pasien');
        $status = $request->getPost('status');

        $Qceknoreg = $this->Model_Proses->cek_noreg($no_reg);
        if (count($Qceknoreg) > 0) {
            session()->setFlashdata('pesan', 'Data Hasil Konversi Sudah Ada Di Database');
            echo json_encode(array("msg" => "success"));
            exit();
        }

        $hasiljaspel   = json_decode($request->getPost('hasiljaspel'));
        $hasiljaspelkonversi   = json_decode($request->getPost('hasiljaspelkonversi'));

        foreach ($hasiljaspel  as $x => $row) {
            if ($x < count($hasiljaspel) - 1) {
                $data_add_hasiljaspel  = array(
                    'no_reg'            => $no_reg,
                    'no_rm'             => $no_rm,
                    'pasien'            => $pasien,
                    'IDT'               => $row->IDT,
                    'tanggal'           => date("Y-m-d", strtotime($row->Tanggal)),
                    'layanan'           => $row->Pelayanan,
                    'jasa'              => str_replace(".", "", $row->JP),
                    'jasa_pelaksana'    => str_replace(".", "", $row->JLP),
                    'jasa_asisten'      => str_replace(".", "", $row->JLA),
                    'jasa_struktural'   => str_replace(".", "", $row->JTLST),
                    'jasa_jtl'          => str_replace(".", "", $row->JTLP),
                    'pelaksana'         => $row->Pelaksana,
                    'asisten'           => $row->Asisten,
                    'ruang'             => $row->Ruang,
                );
                $this->Model_Proses->simpan_input_jaspel_rs($data_add_hasiljaspel);
            }
        }

        foreach ($hasiljaspelkonversi  as $x => $row) {
            if ($x < count($hasiljaspelkonversi) - 1) {
                $data_add_hasiljaspelkonversi  = array(
                    'no_reg'            => $no_reg,
                    'no_rm'             => $no_rm,
                    'pasien'            => $pasien,
                    'IDT'               => $row->IDT,
                    'tanggal'           => date("Y-m-d", strtotime($row->Tanggal)),
                    'layanan'           => $row->Pelayanan,
                    'jasa'              => str_replace(".", "", $row->JP),
                    'jasa_pelaksana'    => str_replace(".", "", $row->JLP),
                    'jasa_asisten'      => str_replace(".", "", $row->JLA),
                    'jasa_struktural'   => str_replace(".", "", $row->JTLST),
                    'jasa_jtl'          => str_replace(".", "", $row->JTLP),
                    'pelaksana'         => $row->Pelaksana,
                    'asisten'           => $row->Asisten,
                    'ruang'             => $row->Ruang,
                );
                $this->Model_Proses->simpan_input_jaspel_konversi($data_add_hasiljaspelkonversi);
            }
        }

        $data = [
            'no_reg' => $no_reg,
            'status' => $status,
        ];
        $this->Model_Input->update_status($data);


        session()->setFlashdata('pesan', 'Data Hasil Konversi Berhasil Disimpan');
        echo json_encode(array("msg" => "success"));
    }

    function format_rupiah($angka)
    {
        $rupiah = number_format($angka, '0', ',', '.');
        return $rupiah;
    }
}
