<?php

namespace App\Models;

use CodeIgniter\Model;

date_default_timezone_set("Asia/Jakarta");

class Model_Hasil extends Model
{
    public function jasa_langsung($tgl_awal, $tgl_akhir)
    {
        $sql = "SELECT tbl_hasil_jaspel_konversi.no_reg, tbl_hasil_jaspel_konversi.IDT, tbl_hasil_jaspel_konversi.no_rm, tbl_hasil_jaspel_konversi.pasien, tbl_hasil_jaspel_konversi.tanggal, tbl_hasil_jaspel_konversi.layanan, tbl_hasil_jaspel_konversi.pelaksana, tbl_hasil_jaspel_rs.jasa_pelaksana as rs,tbl_hasil_jaspel_konversi.jasa_pelaksana as konversi, tbl_hasil_jaspel_konversi.ruang
        FROM tbl_hasil_jaspel_konversi 
        INNER JOIN tbl_hasil_jaspel_rs ON tbl_hasil_jaspel_rs.IDT= tbl_hasil_jaspel_konversi.IDT WHERE tbl_hasil_jaspel_konversi.tanggal BETWEEN '" . $tgl_awal . "' AND '" . $tgl_akhir . "' AND tbl_hasil_jaspel_konversi.jasa_pelaksana <> 0
        UNION ALL 
        SELECT tbl_hasil_jaspel_konversi.no_reg, tbl_hasil_jaspel_konversi.IDT, tbl_hasil_jaspel_konversi.no_rm, tbl_hasil_jaspel_konversi.pasien, tbl_hasil_jaspel_konversi.tanggal, tbl_hasil_jaspel_konversi.layanan, tbl_hasil_jaspel_konversi.asisten, tbl_hasil_jaspel_rs.jasa_asisten, tbl_hasil_jaspel_konversi.jasa_asisten, tbl_hasil_jaspel_konversi.ruang
        FROM tbl_hasil_jaspel_konversi 
        INNER JOIN tbl_hasil_jaspel_rs on tbl_hasil_jaspel_rs.IDT= tbl_hasil_jaspel_konversi.IDT WHERE tbl_hasil_jaspel_konversi.tanggal BETWEEN '" . $tgl_awal . "' AND '" . $tgl_akhir . "' AND tbl_hasil_jaspel_konversi.jasa_asisten <> 0";

        $query = $this->db->query($sql);
        $data = $query->getResultArray();
        return $data;
    }

    public function ambil_penerima()
    {
        $sql = "SELECT DISTINCT nama as penerima FROM tbl_pelaksana UNION SELECT DISTINCT nama as penerima FROM tbl_asisten";
        $query = $this->db->query($sql);
        $data = $query->getResultArray();
        return $data;
    }

    public function jumlah_rs($tgl_awal, $tgl_akhir)
    {
        $sql = "SELECT sum((jasa_pelaksana) + (jasa_asisten)) as total_rs FROM tbl_hasil_jaspel_rs WHERE tanggal BETWEEN '" . $tgl_awal . "' AND '" . $tgl_akhir . "'";
        $query = $this->db->query($sql);
        $data = $query->getRowArray();
        return $data['total_rs'];
    }

    public function jumlah_konversi($tgl_awal, $tgl_akhir)
    {
        $sql = "SELECT sum((jasa_pelaksana) + (jasa_asisten)) as total_konversi FROM tbl_hasil_jaspel_konversi WHERE tanggal BETWEEN '" . $tgl_awal . "' AND '" . $tgl_akhir . "'";
        $query = $this->db->query($sql);
        $data = $query->getRowArray();
        return $data['total_konversi'];
    }


    public function jasa_langsung_penerima($tgl_awal, $tgl_akhir, $penerima)
    {
        $sql = "SELECT tbl_hasil_jaspel_konversi.no_reg, tbl_hasil_jaspel_konversi.IDT, tbl_hasil_jaspel_konversi.no_rm, tbl_hasil_jaspel_konversi.pasien, tbl_hasil_jaspel_konversi.tanggal, tbl_hasil_jaspel_konversi.layanan, tbl_hasil_jaspel_konversi.pelaksana, tbl_hasil_jaspel_rs.jasa_pelaksana as rs,tbl_hasil_jaspel_konversi.jasa_pelaksana as konversi, tbl_hasil_jaspel_konversi.ruang
        FROM tbl_hasil_jaspel_konversi 
        INNER JOIN tbl_hasil_jaspel_rs ON tbl_hasil_jaspel_rs.IDT= tbl_hasil_jaspel_konversi.IDT WHERE tbl_hasil_jaspel_konversi.pelaksana LIKE '" . $penerima . "' AND tbl_hasil_jaspel_konversi.tanggal BETWEEN '" . $tgl_awal . "' AND '" . $tgl_akhir . "' AND tbl_hasil_jaspel_konversi.jasa_pelaksana <> 0
        UNION ALL
        SELECT tbl_hasil_jaspel_konversi.no_reg, tbl_hasil_jaspel_konversi.IDT, tbl_hasil_jaspel_konversi.no_rm, tbl_hasil_jaspel_konversi.pasien, tbl_hasil_jaspel_konversi.tanggal, tbl_hasil_jaspel_konversi.layanan, tbl_hasil_jaspel_konversi.asisten, tbl_hasil_jaspel_rs.jasa_asisten, tbl_hasil_jaspel_konversi.jasa_asisten, tbl_hasil_jaspel_konversi.ruang
        FROM tbl_hasil_jaspel_konversi 
        INNER JOIN tbl_hasil_jaspel_rs on tbl_hasil_jaspel_rs.IDT= tbl_hasil_jaspel_konversi.IDT WHERE tbl_hasil_jaspel_konversi.asisten LIKE '" . $penerima . "' AND tbl_hasil_jaspel_konversi.tanggal BETWEEN '" . $tgl_awal . "' AND '" . $tgl_akhir . "' AND tbl_hasil_jaspel_konversi.jasa_asisten <> 0";

        $query = $this->db->query($sql);
        $data = $query->getResultArray();
        return $data;
    }


    public function jumlah_rs_penerima($tgl_awal, $tgl_akhir, $penerima)
    {
        $sql = "SELECT sum(jasa) as total_rs FROM (SELECT sum(jasa_pelaksana) as jasa FROM tbl_hasil_jaspel_rs WHERE pelaksana LIKE '" . $penerima . "' AND tanggal BETWEEN '" . $tgl_awal . "' AND '" . $tgl_akhir . "'
        UNION ALL
        SELECT sum(jasa_asisten) as jasa FROM tbl_hasil_jaspel_rs WHERE asisten LIKE '" . $penerima . "' AND tanggal BETWEEN '" . $tgl_awal . "' AND '" . $tgl_akhir . "') total_rs;";
        $query = $this->db->query($sql);
        $data = $query->getRowArray();
        return $data['total_rs'];
    }


    public function jumlah_konversi_penerima($tgl_awal, $tgl_akhir, $penerima)
    {
        $sql = "SELECT sum(jasa) as total_konversi FROM (SELECT sum(jasa_pelaksana) as jasa FROM tbl_hasil_jaspel_konversi WHERE pelaksana LIKE '" . $penerima . "' AND tanggal BETWEEN '" . $tgl_awal . "' AND '" . $tgl_akhir . "'
        UNION ALL
        SELECT sum(jasa_asisten) as jasa FROM tbl_hasil_jaspel_konversi WHERE asisten LIKE '" . $penerima . "' AND tanggal BETWEEN '" . $tgl_awal . "' AND '" . $tgl_akhir . "') total_rs;";
        $query = $this->db->query($sql);
        $data = $query->getRowArray();
        return $data['total_konversi'];
    }


    // =============== JASA TIDAK LANGSUNG ============

    public function jasa_tidaklangsung($tgl_awal, $tgl_akhir)
    {
        $sql = "SELECT tbl_hasil_jaspel_konversi.no_reg, tbl_hasil_jaspel_konversi.IDT, tbl_hasil_jaspel_konversi.no_rm, tbl_hasil_jaspel_konversi.pasien,tbl_hasil_jaspel_konversi.tanggal, tbl_hasil_jaspel_konversi.layanan, tbl_hasil_jaspel_rs.jasa_struktural as struktural_rs, tbl_hasil_jaspel_konversi.jasa_struktural as struktural_konversi, tbl_hasil_jaspel_rs.jasa_jtl as jtl_rs, tbl_hasil_jaspel_konversi.jasa_jtl as jtl_konversi
        FROM tbl_hasil_jaspel_konversi 
        INNER JOIN tbl_hasil_jaspel_rs ON tbl_hasil_jaspel_konversi.IDT = tbl_hasil_jaspel_rs.IDT
        WHERE tbl_hasil_jaspel_konversi.tanggal BETWEEN '" . $tgl_awal . "' AND '" . $tgl_akhir . "' AND tbl_hasil_jaspel_konversi.jasa_struktural <> 0";

        $query = $this->db->query($sql);
        $data = $query->getResultArray();
        return $data;
    }


    public function jumlah_jtlst_rs($tgl_awal, $tgl_akhir)
    {
        $sql = "SELECT sum(tbl_hasil_jaspel_rs.jasa_struktural) as jml_struktural_rs
        FROM tbl_hasil_jaspel_konversi 
        INNER JOIN tbl_hasil_jaspel_rs ON tbl_hasil_jaspel_konversi.IDT = tbl_hasil_jaspel_rs.IDT
        WHERE tbl_hasil_jaspel_konversi.tanggal BETWEEN '" . $tgl_awal . "' AND '" . $tgl_akhir . "' AND tbl_hasil_jaspel_konversi.jasa_struktural <> 0";
        $query = $this->db->query($sql);
        $data = $query->getRowArray();
        return $data['jml_struktural_rs'];
    }

    public function jumlah_jtlst_konversi($tgl_awal, $tgl_akhir)
    {
        $sql = "SELECT sum(tbl_hasil_jaspel_konversi.jasa_struktural) as jml_struktural_konversi
        FROM tbl_hasil_jaspel_konversi 
        INNER JOIN tbl_hasil_jaspel_rs ON tbl_hasil_jaspel_konversi.IDT = tbl_hasil_jaspel_rs.IDT
        WHERE tbl_hasil_jaspel_konversi.tanggal BETWEEN '" . $tgl_awal . "' AND '" . $tgl_akhir . "' AND tbl_hasil_jaspel_konversi.jasa_struktural <> 0";
        $query = $this->db->query($sql);
        $data = $query->getRowArray();
        return $data['jml_struktural_konversi'];
    }

    public function jumlah_jtlp_rs($tgl_awal, $tgl_akhir)
    {
        $sql = "SELECT sum(tbl_hasil_jaspel_rs.jasa_jtl) as jml_jtl_rs
        FROM tbl_hasil_jaspel_konversi 
        INNER JOIN tbl_hasil_jaspel_rs ON tbl_hasil_jaspel_konversi.IDT = tbl_hasil_jaspel_rs.IDT
        WHERE tbl_hasil_jaspel_konversi.tanggal BETWEEN '" . $tgl_awal . "' AND '" . $tgl_akhir . "' AND tbl_hasil_jaspel_konversi.jasa_struktural <> 0";
        $query = $this->db->query($sql);
        $data = $query->getRowArray();
        return $data['jml_jtl_rs'];
    }

    public function jumlah_jtlp_konversi($tgl_awal, $tgl_akhir)
    {
        $sql = "SELECT sum(tbl_hasil_jaspel_konversi.jasa_jtl) as jml_jtl_konversi
        FROM tbl_hasil_jaspel_konversi 
        INNER JOIN tbl_hasil_jaspel_rs ON tbl_hasil_jaspel_konversi.IDT = tbl_hasil_jaspel_rs.IDT
        WHERE tbl_hasil_jaspel_konversi.tanggal BETWEEN '" . $tgl_awal . "' AND '" . $tgl_akhir . "' AND tbl_hasil_jaspel_konversi.jasa_struktural <> 0";
        $query = $this->db->query($sql);
        $data = $query->getRowArray();
        return $data['jml_jtl_konversi'];
    }
}
