<?php

namespace App\Models;

use CodeIgniter\Model;

date_default_timezone_set("Asia/Jakarta");

class Model_Input extends Model
{

    public function tampil_input()
    {
        $sql = "SELECT no_reg, tanggal, no_rm, nama_pasien, total_tarif, tarif_cbgs, porsi_jasa, porsi_biaya, keterangan, instalasi, status 
        FROM tbl_input_pelayanan WHERE DATE(tanggal) = CURDATE()";
        $query = $this->db->query($sql);
        $data = $query->getResultArray();
        return $data;
    }


    public function data_input($tgl_awal, $tgl_akhir)
    {
        $sql = "SELECT no_reg, tanggal, no_rm, nama_pasien, total_tarif, tarif_cbgs, porsi_jasa, porsi_biaya, keterangan, instalasi, status 
        FROM tbl_input_pelayanan WHERE tanggal BETWEEN '$tgl_awal' AND '$tgl_akhir'";
        $query = $this->db->query($sql);
        $data = $query->getResultArray();
        return $data;
    }


    public function data_pelayanan($no_reg)
    {
        $sql = "SELECT * FROM tbl_input_pelayanan WHERE no_reg LIKE '$no_reg' ";
        $query = $this->db->query($sql);
        $data = $query->getRowArray();
        return $data;
    }

    public function data_tindakan($no_reg)
    {
        $sql = "SELECT * FROM tbl_detail_input_pelayanan WHERE no_reg LIKE '$no_reg' ";
        $query = $this->db->query($sql);
        $data = $query->getResultArray();
        return $data;
    }


    public function idt_tindakan($idt)
    {
        $sql = "SELECT * FROM tbl_detail_input_pelayanan WHERE idt = '" . $idt . "' ";
        $query = $this->db->query($sql);
        $data = $query->getRowArray();
        return $data;
    }


    public function hapus_idt_tindakan($idt)
    {
        $sql = "DELETE FROM tbl_detail_input_pelayanan WHERE idt LIKE '$idt' ";
        $query = $this->db->query($sql);
        return $query;
    }


    public function no_otomatis()
    {
        $query = "SELECT MAX(RIGHT(no_reg,4)) AS kd_max FROM tbl_input_pelayanan WHERE DATE(tanggal)=CURDATE()";
        $data = $this->db->query($query)->getResult();
        if ($data > 0) {
            foreach ($data as $key) {
                $ambilKode = ((int)$key->kd_max) + 1;
                $RegBaru = sprintf("%04s", $ambilKode);
            }
        } else {
            $RegBaru = "0001";
        }
        date_default_timezone_set('Asia/Jakarta');
        return date('dmy') . $RegBaru;
    }



    public function ambil_klinik()
    {
        $sql = "SELECT * FROM tbl_ruang WHERE kode like 'RJ%' or kode like 'SP%'";
        $query = $this->db->query($sql);
        $data = $query->getResultArray();
        return $data;
    }

    public function ambil_kamar()
    {
        // $sql = "SELECT * FROM tbl_ruang WHERE kode like 'RI%' or kode like 'SP%'";
        $sql = "SELECT * FROM tbl_ruang WHERE kode like 'RI%'";
        $query = $this->db->query($sql);
        $data = $query->getResultArray();
        return $data;
    }


    public function ambil_spesialis()
    {
        $sql = "SELECT * FROM tbl_ruang WHERE kode like 'SP%'";
        $query = $this->db->query($sql);
        $data = $query->getResultArray();
        return $data;
    }


    public function ambil_ruang()
    {
        $sql = "SELECT * FROM tbl_ruang WHERE kode LIKE 'RJ%' OR kode LIKE 'RI%' OR kode LIKE 'RK%' OR kode LIKE 'PJ%' OR kode LIKE 'GD%' ";
        $query = $this->db->query($sql);
        $data = $query->getResultArray();
        return $data;
    }


    public function ambil_pelaksana()
    {
        $sql = "SELECT * FROM tbl_pelaksana ORDER BY kode ASC";
        $query = $this->db->query($sql);
        $data = $query->getResultArray();
        return $data;
    }


    public function ambil_pendamping()
    {
        $sql = "SELECT * FROM tbl_asisten ORDER BY kode ASC";
        $query = $this->db->query($sql);
        $data = $query->getResultArray();
        return $data;
    }


    public function ambil_klptindakan($instalasi)
    {
        $sql = "SELECT kode_klp as kode_kelompok, klp_tindakan as kelompok_tindakan FROM tbl_tarif WHERE instalasi_induk like '" . $instalasi . "'
        group by klp_tindakan ORDER BY kode_kelompok ASC";
        $query = $this->db->query($sql);
        $data = $query->getResultArray();
        return $data;
    }


    public function ambil_klptmo($instalasi)
    {
        $sql = "SELECT kode_klp as kode_kelompok, klp_tindakan as kelompok_tindakan FROM tbl_tarif WHERE  instalasi_pelaksana = 'Kamar Operasi (OK)' group by klp_tindakan ORDER BY kode_kelompok ASC";
        $query = $this->db->query($sql);
        $data = $query->getResultArray();
        return $data;
    }


    public function detail_tindakan($klp_tindakan)
    {
        $sql = "SELECT kode_tarif as kd_tarif, kode_klp, klp_tindakan, detail_tindakan, nama_tindakan, instalasi_induk FROM tbl_tarif 
        WHERE kode_klp like '" . $klp_tindakan . "'";
        $query = $this->db->query($sql);
        $data = $query->getResultArray();
        return $data;
    }


    public function detail_tmo($klp_tmo)
    {
        $sql = "SELECT kode_tarif as kd_tarif, kode_klp, klp_tindakan, detail_tindakan, nama_tindakan, instalasi_induk FROM tbl_tarif 
        WHERE kode_klp like '" . $klp_tmo . "'";
        $query = $this->db->query($sql);
        $data = $query->getResultArray();
        return $data;
    }


    public function jenis_tmo($jenis_tmo, $penerima_jp)
    {
        $sql = "SELECT * FROM tbl_porsi_tmo WHERE jenis_tmo = '" . $jenis_tmo . "' and penerima_jp = '" . $penerima_jp . "'";
        $query = $this->db->query($sql);
        $data = $query->getResultArray();
        return $data;
    }


    public function rincian_tindakan($klp_tindakan)
    {
        $sql = "SELECT DISTINCT tbl_detailtindakan.rincian_tindakan, tbl_tarif.klp_tindakan
        FROM tbl_tarif JOIN tbl_detailtindakan ON tbl_detailtindakan.klp_tindakan = tbl_tarif.klp_tindakan
        WHERE tbl_tarif.klp_tindakan like '" . $klp_tindakan . "' ";
        $query = $this->db->query($sql);
        $data = $query->getResultArray();
        return $data;
    }

    public function no_idt()
    {
        $query = "SELECT MAX(RIGHT(IDT,4)) AS kd_max FROM tbl_detail_input_pelayanan WHERE DATE(tanggal)=CURDATE()";
        $data = $this->db->query($query)->getResult();
        if ($data > 0) {
            foreach ($data as $key) {
                $ambilKode = ((int)$key->kd_max) + 1;
                $RegBaru = sprintf("%04s", $ambilKode);
            }
        } else {
            $RegBaru = "0001";
        }
        date_default_timezone_set('Asia/Jakarta');
        return 'ID-' . date('dmy') . $RegBaru;
    }


    public function no_idt1()
    {
        $query = "SELECT MAX(RIGHT(IDT,4)) AS kd_max FROM tbl_detail_input_pelayanan";
        $data = $this->db->query($query)->getResult();
        foreach ($data as $key) {
            $ambilKode = ((int)$key->kd_max) + 1;
            $RegBaru = sprintf("%04s", $ambilKode);
        }
        date_default_timezone_set('Asia/Jakarta');
        return 'ID-' . date('dmy') . $RegBaru;
    }


    public function no_idt2()
    {
        $query = "SELECT MAX(RIGHT(IDT,4)) AS kd_max FROM tbl_detail_input_pelayanan";
        $data = $this->db->query($query)->getResult();

        foreach ($data as $key) {
            $ambilKode = ((int)$key->kd_max) + 2;
            $RegBaru = sprintf("%04s", $ambilKode);
        }
        date_default_timezone_set('Asia/Jakarta');
        return 'ID-' . date('dmy') . $RegBaru;
    }


    public function detail_pelayanan($no_reg)
    {
        $sql = "SELECT * FROM tbl_detail_input_pelayanan WHERE no_reg = '" . $no_reg . "' ";
        $query = $this->db->query($sql);
        $data = $query->getRowArray();
        return $data;
    }

    public function ambil_tmo($instalasi)
    {
        $sql = "SELECT * FROM tbl_detailtindakan WHERE instalasi_induk = '" . $instalasi . "' 
        AND instalasi_pelaksana = 'Kamar Operasi (OK)' ORDER BY kode_tindakan ASC";
        $query = $this->db->query($sql);
        $data = $query->getResultArray();
        return $data;
    }

    //perintah ambil data tindakan berdasarkan kode
    public function ambil_tindakan($kode)
    {
        $sql = "SELECT * FROM tbl_tarif WHERE kode_tarif = '" . $kode . "' ";
        $query = $this->db->query($sql);
        $data = $query->getResultArray();
        return $data;
    }


    public function ambil_porsijaspel($kode_kelompok)
    {
        $sql = "SELECT * FROM tbl_pengaturan_jaspel WHERE kode_kelompok = '" . $kode_kelompok . "' ";
        $query = $this->db->query($sql);
        $data = $query->getResultArray();
        return $data;
    }


    //Perintah simpan input rjtl
    public function simpan_input_rjtl($data)
    {
        $query = $this->db->table('tbl_detail_input_pelayanan')
            ->insert($data);
        return $query;
    }


    public function simpan_input($data)
    {
        $query = $this->db->table('tbl_input_pelayanan')
            ->insert($data);
        return $query;
    }


    public function update_input($data)
    {
        $query = $this->db->table('tbl_input_pelayanan')
            ->where('no_reg', $data['no_reg'])
            ->update($data);
        return $query;
    }


    public function update_status($data)
    {
        $query = $this->db->table('tbl_input_pelayanan')
            ->where('no_reg', $data['no_reg'])
            ->update($data);
        return $query;
    }


    public function data_input_tindakan($no_reg)
    {
        $sql = "SELECT * FROM tbl_detail_input_pelayanan WHERE no_reg = '" . $no_reg . "'";
        $query = $this->db->query($sql);
        $data = $query->getResultArray();
        return $data;
    }


    public function data_pasien($no_reg)
    {
        $sql = "SELECT * FROM tbl_detail_input_pelayanan WHERE no_reg = '" . $no_reg . "'";

        // $sql = "SELECT DISTINCT no_rm, nama, no_reg, tanggal FROM tbl_detail_input_pelayanan WHERE no_reg = '" . $no_reg . "'";
        $query = $this->db->query($sql);
        $data = $query->getRowArray();
        return $data;
    }


    public function total_tarif($no_reg)
    {
        $sql = "SELECT sum(tarif) as total FROM tbl_detail_input_pelayanan WHERE no_reg = '" . $no_reg . "'";
        $query = $this->db->query($sql);
        $data = $query->getRowArray();
        return $data;
    }


    public function tarif_cbgs($no_reg)
    {
        $sql = "SELECT tarif_cbgs as total FROM tbl_input_pelayanan WHERE no_reg = '" . $no_reg . "'";
        $query = $this->db->query($sql);
        $data = $query->getRowArray();
        return $data;
    }


    public function ambil_cbgs()
    {
        $sql = "SELECT nilai FROM tbl_porsi_cbgs";
        $query = $this->db->query($sql);
        $data = $query->getRowArray();
        return $data;
    }


    public function rincian_tindakan_new($inst_induk, $detail_tindakan)
    {
        $sql = "SELECT tbl_detailtindakan.rincian_tindakan as detail_tindakan, tbl_detailtindakan.kode_tindakan as kd_tarif, tbl_detailtindakan.kode_tarif FROM tbl_detailtindakan WHERE tbl_detailtindakan.klinik_ksm like '%" . $inst_induk . "%' and  tbl_detailtindakan.klp_tindakan = '" . $detail_tindakan . "'; ";
        $query = $this->db->query($sql);
        $data = $query->getResultArray();
        return $data;
    }


    public function rincian_tindakan_inst_induk($inst_induk, $detail_tindakan, $klinik)
    {
        $sql = "SELECT tbl_detailtindakan.rincian_tindakan as detail_tindakan, tbl_detailtindakan.kode_tindakan as kd_tarif, tbl_detailtindakan.kode_tarif FROM tbl_detailtindakan WHERE tbl_detailtindakan.instalasi_induk like '" . $inst_induk . "' and  tbl_detailtindakan.rincian_tindakan = '" . $detail_tindakan . "' and tbl_detailtindakan.klinik_ksm='" . $klinik . "'; ";
        $query = $this->db->query($sql);
        $data = $query->getResultArray();
        return $data;
    }



    public function refresh_data($no_reg)
    {
        $sql = "SELECT * FROM tbl_detail_input_pelayanan 
        WHERE no_reg = '" . $no_reg . "'
        GROUP BY no_reg";
        $query = $this->db->query($sql);
        $data = $query->getRowArray();
        return $data;
    }


    // ========== HAPUS INPUT ========
    public function hapus_input_pelayanan($no_reg)
    {
        $sql = "DELETE FROM tbl_input_pelayanan WHERE no_reg like '$no_reg'";
        $query = $this->db->query($sql);
        return $query;
    }

    public function hapus_detail_pelayanan($no_reg)
    {
        $sql = "DELETE FROM tbl_detail_input_pelayanan WHERE no_reg like '$no_reg'";
        $query = $this->db->query($sql);
        return $query;
    }

    public function hapus_hasiljp_konversi($no_reg)
    {
        $sql = "DELETE FROM tbl_hasil_jaspel_konversi WHERE no_reg like '$no_reg'";
        $query = $this->db->query($sql);
        return $query;
    }

    public function hapus_hasiljp_rs($no_reg)
    {
        $sql = "DELETE FROM tbl_hasil_jaspel_rs WHERE no_reg like '$no_reg'";
        $query = $this->db->query($sql);
        return $query;
    }

    public function ambil_klinik_by_instalasi($instalasi)
    {
        $sql = "SELECT * FROM tbl_ruang WHERE instalasi = '" . $instalasi . "' and kode not like 'RI-%'";
        $query = $this->db->query($sql);
        $data = $query->getResultArray();
        return $data;
    }

    public function ambil_instalasi()
    {
        $sql = "SELECT instalasi_induk as instalasi FROM tbl_tarif group by instalasi_induk";
        $query = $this->db->query($sql);
        $data = $query->getResultArray();
        return $data;
    }

    public function ambil_ruang_by_kode($kode)
    {
        $sql = "SELECT ruang,instalasi FROM tbl_ruang WHERE kode = '" . $kode . "'";
        $query = $this->db->query($sql);
        $data = $query->getResultArray();
        return $data;
    }

    public function ambil_kodetarif($kode_tindakan)
    {
        $sql = "SELECT * FROM tbl_detailtindakan WHERE kode_tindakan = '" . $kode_tindakan . "'";
        $query = $this->db->query($sql);
        $data = $query->getResultArray();
        return $data;
    }

    public function ambil_ruang_tindakan($instalasi)
    {
        if ($instalasi == "Gawat Darurat (IGD)") {
            $where = "kode LIKE 'GD%' OR kode LIKE 'PJ%' OR kode LIKE 'RK%'";
        } else if ($instalasi == "Rawat Inap (IRNA)") {
            $where = "kode LIKE 'RI%' OR kode LIKE 'PJ%' OR kode LIKE 'RK%'";
        } else if ($instalasi == "Rawat Jalan (IRJ)") {
            $where = "kode LIKE 'RJ%' OR kode LIKE 'PJ%'";
        }
        $sql = "SELECT * FROM tbl_ruang WHERE " . $where;
        $query = $this->db->query($sql);
        $data = $query->getResultArray();
        return $data;
    }

    public function ambil_tindakan_tmo($klinik_ksm, $klp_tindakan)
    {
        $sql = "SELECT * FROM tbl_detailtindakan WHERE klinik_ksm = '" . $klinik_ksm . "'  and klp_tindakan ='" . $klp_tindakan . "'";
        $query = $this->db->query($sql);
        $data = $query->getResultArray();
        return $data;
    }
}
