<?php

namespace App\Models;

use CodeIgniter\Model;

date_default_timezone_set("Asia/Jakarta");

class Model_JTL extends Model
{
    public function data_indeks()
    {
        $sql = "SELECT * FROM tbl_indeks_pegawai ORDER BY kode ASC";
        $query = $this->db->query($sql);
        $data = $query->getResultArray();
        return $data;
    }

    public function hapus_data_indeks()
    {
        $sql = "DELETE FROM tbl_indeks_pegawai";
        $query = $this->db->query($sql);
        return $query;
    }

    public function simpan_indeks($data)
    {
        $query = $this->db->table('tbl_indeks_pegawai')
            ->insert($data);
        return $query;
    }


    public function detail_indeks($kode)
    {
        $query = $this->db->table('tbl_indeks_pegawai')
            ->where('kode', $kode)
            ->get()
            ->getRowArray();
        return $query;
    }


    public function edit_indeks($data)
    {
        $query = $this->db->table('tbl_indeks_pegawai')
            ->where('kode', $data['kode'])
            ->update($data);
        return $query;
    }

    public function hapus_indeks($data)
    {
        $query = $this->db->table('tbl_indeks_pegawai')
            ->where('kode', $data['kode'])
            ->delete($data);
        return $query;
    }

    public function indeks_bulanan()
    {
        $sql = "SELECT YEAR(CURRENT_DATE) as tahun, MONTH(CURRENT_DATE) as bulan, kode, nama, ruang, jumlah, pajak  FROM tbl_indeks_pegawai ORDER BY kode ASC";
        $query = $this->db->query($sql);
        $data = $query->getResultArray();
        return $data;
    }


    public function jumlah_indeks_bulanan()
    {
        $sql = "SELECT sum(jumlah) as jml_indeks FROM tbl_indeks_pegawai WHERE YEAR(CURRENT_DATE) AND MONTH(CURRENT_DATE)";
        $query = $this->db->query($sql);
        $data = $query->getRowArray();
        return $data['jml_indeks'];
    }


    public function cek_indeks_bulanan()
    {
        $sql = "SELECT count(bulan) as total from tbl_indeks_pegawaibulanan";
        $query = $this->db->query($sql);
        $data = $query->getResultArray();
        return $data;
    }

    public function simpan_indeks_bulanan($data)
    {
        $query = $this->db->table('tbl_indeks_pegawaibulanan')
            ->insert($data);
        return $query;
    }

    public function simpan_jumlah_indeksbulanan($data1)
    {
        $query = $this->db->table('tbl_jumlah_indeksbulanan')
            ->insert($data1);
        return $query;
    }


    public function hapus_data_indeksbulanan()
    {
        $sql = "DELETE FROM tbl_indeks_pegawaibulanan";
        $query = $this->db->query($sql);
        return $query;
    }

    public function hapus_jumlah_indekspegawai()
    {
        $sql = "DELETE FROM tbl_jumlah_indeksbulanan";
        $query = $this->db->query($sql);
        return $query;
    }

    public function nilai_indeks()
    {
        $sql = "SELECT * FROM tbl_nilai_indeks";
        $query = $this->db->query($sql);
        $data = $query->getResultArray();
        return $data;
    }


    public function no_otomatis()
    {
        $query = "SELECT MAX(RIGHT(nomer,4)) AS kd_max FROM tbl_nilai_indeks";
        $data = $this->db->query($query)->getResult();
        if ($data > 0) {
            foreach ($data as $key) {
                $ambilKode = ((int)$key->kd_max) + 1;
                $RegBaru = sprintf("%04s", $ambilKode);
            }
        } else {
            $RegBaru = "0001";
        }
        return 'ID-' . $RegBaru;
    }

    public function jumlah_indeks($bulan)
    {
        $sql = "SELECT jumlah FROM tbl_jumlah_indeksbulanan WHERE bulan = '" . $bulan . "'";
        $query = $this->db->query($sql);
        $data = $query->getResultArray();
        return $data;
    }

    public function simpan_nilai_indeks($data)
    {
        $query = $this->db->table('tbl_nilai_indeks')
            ->insert($data);
        return $query;
    }


    public function hapus_nilai_indeks($data)
    {
        $query = $this->db->table('tbl_nilai_indeks')
            ->where('nomer', $data['nomer'])
            ->delete($data);
        return $query;
    }


    public function hasil_jtl($tahun, $bulan)
    {
        $sql = "SELECT tbl_indeks_pegawaibulanan.tahun, tbl_indeks_pegawaibulanan.bulan, tbl_indeks_pegawaibulanan.kode, tbl_indeks_pegawaibulanan.nama, ruang, tbl_indeks_pegawaibulanan.jumlah, (tbl_indeks_pegawaibulanan.jumlah * tbl_nilai_indeks.nilai_indeks) as jtl_bruto, ((tbl_indeks_pegawaibulanan.jumlah * tbl_nilai_indeks.nilai_indeks) * (tbl_indeks_pegawaibulanan.pajak/100)) as pajak, ((tbl_indeks_pegawaibulanan.jumlah * tbl_nilai_indeks.nilai_indeks) - ((tbl_indeks_pegawaibulanan.jumlah * tbl_nilai_indeks.nilai_indeks) * (tbl_indeks_pegawaibulanan.pajak/100))) as jtl_net
        FROM tbl_indeks_pegawaibulanan
        INNER JOIN tbl_nilai_indeks
        ON tbl_nilai_indeks.bulan = tbl_indeks_pegawaibulanan.bulan AND tbl_nilai_indeks.tahun = tbl_indeks_pegawaibulanan.tahun
        WHERE tbl_indeks_pegawaibulanan.tahun like '" . $tahun . "' AND tbl_indeks_pegawaibulanan.bulan like '" . $bulan . "'";

        $query = $this->db->query($sql);
        $data = $query->getResultArray();
        return $data;
    }

    public function total_jtl_bruto($tahun, $bulan)
    {
        $sql = "SELECT sum(tbl_indeks_pegawaibulanan.jumlah * tbl_nilai_indeks.nilai_indeks) as total_jp_bruto
        FROM tbl_indeks_pegawaibulanan
        INNER JOIN tbl_nilai_indeks
        ON tbl_nilai_indeks.bulan = tbl_indeks_pegawaibulanan.bulan AND tbl_nilai_indeks.tahun = tbl_indeks_pegawaibulanan.tahun
        WHERE tbl_indeks_pegawaibulanan.tahun like '" . $tahun . "' AND tbl_indeks_pegawaibulanan.bulan like '" . $bulan . "'";
        $query = $this->db->query($sql);
        $data = $query->getRowArray();
        return $data['total_jp_bruto'];
    }

    public function total_potongan($tahun, $bulan)
    {
        $sql = "SELECT sum((tbl_indeks_pegawaibulanan.jumlah * tbl_nilai_indeks.nilai_indeks) * (tbl_indeks_pegawaibulanan.pajak/100)) as total_potongan
        FROM tbl_indeks_pegawaibulanan
        INNER JOIN tbl_nilai_indeks
        ON tbl_nilai_indeks.bulan = tbl_indeks_pegawaibulanan.bulan AND tbl_nilai_indeks.tahun = tbl_indeks_pegawaibulanan.tahun
        WHERE tbl_indeks_pegawaibulanan.tahun like '" . $tahun . "' AND tbl_indeks_pegawaibulanan.bulan like '" . $bulan . "'";
        $query = $this->db->query($sql);
        $data = $query->getRowArray();
        return $data['total_potongan'];
    }

    public function total_jtl_net($tahun, $bulan)
    {
        $sql = "SELECT sum((tbl_indeks_pegawaibulanan.jumlah * tbl_nilai_indeks.nilai_indeks) - ((tbl_indeks_pegawaibulanan.jumlah * tbl_nilai_indeks.nilai_indeks) * (tbl_indeks_pegawaibulanan.pajak/100))) as total_jtl_net
        FROM tbl_indeks_pegawaibulanan
        INNER JOIN tbl_nilai_indeks
        ON tbl_nilai_indeks.bulan = tbl_indeks_pegawaibulanan.bulan AND tbl_nilai_indeks.tahun = tbl_indeks_pegawaibulanan.tahun
        WHERE tbl_indeks_pegawaibulanan.tahun like '" . $tahun . "' AND tbl_indeks_pegawaibulanan.bulan like '" . $bulan . "'";
        $query = $this->db->query($sql);
        $data = $query->getRowArray();
        return $data['total_jtl_net'];
    }


    public function cek_hasil_jtl()
    {
        $sql = "SELECT count(bulan) as total from tbl_hasil_jtl";
        $query = $this->db->query($sql);
        $data = $query->getResultArray();
        return $data;
    }
}
