<!--start page wrapper -->
<div id="content" class="app-content">
    <div class="page-content col-lg-6 m-auto">
        <!--breadcrumb-->
        <div class="page-breadcrumb d-none d-sm-flex align-items-center mb-3">
            <div class="breadcrumb mb-0">
                <h4><?= $judul_halaman ?></h4>
            </div>
            <div class="ms-auto">
                <a href="<?= base_url('Home'); ?>" type="button" id="BtnTutup" class="btn btn-sm btn-danger"><i class="fa fa-undo mr-1"></i> Tutup Halaman</a>
            </div>
        </div>
        <!--end breadcrumb-->

        <hr />
        
        <div class="card">
            <form action="<?= base_url('Data_Dasar/Simpan_Cbgs') ?>" method="POST">
                <?= csrf_field(); ?>
                <!-- Baris Atas -->
                <div class="card-body">
                    <div class="br-section-wrapper">

                        <div class="row">
                            <div class="col-lg-3">
                                <div class="row mb-2">
                                    <div class="col-sm-9">
                                        <div class="input-group input-group-sm">
                                            <input class="form-control form-control-sm text-center" type="text" id="porsi_cbgs" name="porsi_cbgs" value="">
                                            <span class="input-group-text">%</span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-3">
                                <div class="row mb-2">
                                    <div class="col-sm-9">
                                        <input class="form-control form-control-sm text-center text-bold" type="text" id="nilai" name="nilai" value="" readonly>
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-6">
                                <div class="form-group mg-b-10-force">
                                    <button type="button" id="BtnHitung" name="BtnHitung" onClick="return HitungCBGs()" class="btn btn-sm btn-yellow"><i class="fa fa-calculator mr-1"></i> Hitung Porsi CBGs</button>

                                    <button type="submit" disabled id="BtnSimpan" name="BtnSimpan" class="btn btn-sm btn-primary"><i class="fa fa-save mr-1"></i> Simpan Porsi CBGs</button>
                                </div>
                            </div>
                        </div>

                    </div>
                </div>

                <!-- Baris Bawah -->
                <div class="card-body">
                    <div class="table-responsive">
                        <table id="" class="table table-striped table-bordered table-sm">
                            <thead>
                                <tr>
                                    <th class="text-center">Porsi (%)</th>
                                    <th class="text-center">Nilai</th>
                                    <th class="text-center">Aksi</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php foreach ($porsi_cbgs as $baris) : ?>
                                    <tr>
                                        <td class="text-center"><?= $baris['porsi_cbgs']; ?></td>
                                        <td class="text-center"><b><?= $baris['nilai']; ?></b></td>
                                        <td class="text-center">
                                            <a href="<?= base_url('Data_Dasar/Hapus_PorsiCBGs/' . $baris['porsi_cbgs']) ?>" class="btn btn-xs btn-danger"><i class="fa fa-trash-alt mr-1"></i></a>
                                        </td>
                                    </tr>
                                <?php endforeach; ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
<!--end page wrapper -->


<script>
    function HitungCBGs() {
        var cbgs = $('input[name="porsi_cbgs"]').val();
        var nilai = $('input[name="nilai"]').val();
        var hasil = parseFloat(cbgs) / 100;
        if (!isNaN(hasil)) {
            $('input[name="nilai"]').val(hasil);
        } else {
            $('input[name="nilai"]').val(0);
        }
    }
</script>

<script>
    const input = document.getElementById('porsi_cbgs');
    const tombol = document.getElementById('BtnSimpan');
    input.addEventListener("keyup", (e) => {
        const value = e.currentTarget.value;
        if (value === "") {
            tombol.disabled = true;
        } else {
            tombol.disabled = false;
        }
    })
</script>