<!--start page wrapper -->
<div id="content" class="app-content">
    <div class="page-content">
        <!--breadcrumb-->
        <div class="page-breadcrumb d-none d-sm-flex align-items-center mb-2">
            <div class="breadcrumb mb-0">
                <h4><?= $judul_halaman ?></h4>
            </div>
        </div>
        <!--end breadcrumb-->

        <hr />

        <form action="<?= base_url('JTL/Hasil_JTL') ?>" method="POST">
            <?= csrf_field(); ?>

            <div class="row">

                <!-- Kolom Kiri -->
                <div class="col-3">
                    <div class="card-body">
                        <div class="card border-top border-0">
                            <div class="border p-2">

                                <div class="row g-2">

                                    <div class="col-4">
                                        <div class="form-group mb-2">
                                            <label class="form-control-label mb-1"><b>Tahun</b></label>
                                            <select id="tahun" name="tahun" class="form-select form-select-sm" data-placeholder="- Pilih -">
                                                <option value="">- Pilih -</option>
                                                <option value="2023">2023</option>
                                                <option value="2024">2024</option>
                                                <option value="2025">2025</option>
                                                <option value="2026">2026</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-8">
                                        <div class="form-group mb-2">
                                            <label class="form-control-label mb-1"><b>Bulan</b></label>
                                            <select id="bulan" name="bulan" class="form-select form-select-sm" data-placeholder="- Pilih -">
                                                <option value="">- Pilih -</option>
                                                <option value="Januari">Januari</option>
                                                <option value="Februari">Februari</option>
                                                <option value="Maret">Maret</option>
                                                <option value="April">April</option>
                                                <option value="Mei">Mei</option>
                                                <option value="Juni">Juni</option>
                                                <option value="Juli">Juli</option>
                                                <option value="Agustus">Agustus</option>
                                                <option value="September">September</option>
                                                <option value="Oktober">Oktober</option>
                                                <option value="November">November</option>
                                                <option value="Desember">Desember</option>
                                            </select>
                                        </div>
                                    </div>

                                    <div class="col-lg-12">
                                        <button type="submit" id="BtnHitung" name="BtnHitung" class="btn btn-sm btn-primary"><i class="fa fa-folder-open mr-1"></i> Buka Hasil</button>

                                        <a href="<?= base_url('Home'); ?>" type="button" id="BtnTutup" class="btn btn-sm btn-danger"><i class="fa fa-undo mr-1"></i> Tutup Hasil</a>
                                    </div>

                                </div>

                            </div>
                        </div>
                    </div>
                </div>

                <!-- Kolom Kanan -->
                <div class="col-9">
                    <div class="card-body">
                        <div class="row">

                            <div class="col-md-12">
                                <div class="card border-top border-0">
                                    <div class="border p-2">
                                        <div class="form-layout form-layout-2 table-responsive">
                                            <div class="table-responsive">
                                                <table id="TabelHasilJTL" class="table table-striped table-bordered table-sm">
                                                    <thead>
                                                    <tr>
                                                        <th class="text-center">No</th>
                                                        <th class="text-center">Tahun</th>
                                                        <th class="text-center">Bulan</th>
                                                        <th>Nama</th>
                                                        <th>Ruang/Unit</th>
                                                        <th class="text-center">Indeks</th>
                                                        <th class="text-center">JTL Bruto</th>
                                                        <th class="text-center">Pajak</th>
                                                        <th class="text-center">JTL Net</th>
                                                    </tr>
                                                    </thead>
                                                    <tbody>
                                                        <?php $no = 1;
                                                        foreach ($hasil_jtl as $baris) : ?>
                                                        <tr>
                                                            <td class="text-center"><?= $no++; ?></td>
                                                            <td class="text-center"><?= $baris['tahun']; ?></td>
                                                            <td class="text-center"><?= $baris['bulan']; ?></td>
                                                            <td><?= $baris['nama']; ?></td>
                                                            <td><?= $baris['ruang']; ?></td>
                                                            <td class="text-center"><?= $baris['jumlah']; ?></td>
                                                            <td style="text-align: right;"><?= format_rupiah($baris['jtl_bruto']); ?></td>
                                                            <td style="text-align: right;"><?= format_rupiah($baris['pajak']); ?></td>
                                                            <td style="text-align: right;"><?= format_rupiah($baris['jtl_net']); ?></td>
                                                        </tr>
                                                        <?php endforeach; ?>
                                                    </tbody>
                                                    <tr style="font-weight: bold;">
                                                        <td colspan="6" class="text-center">Jumlah</td>
                                                        <td style="text-align: right;"><?= format_rupiah($total_jtl_bruto); ?></td>
                                                        <td style="text-align: right;"><?= format_rupiah($total_potongan); ?></td>
                                                        <td style="text-align: right;"><?= format_rupiah($total_jtl_net); ?></td>
                                                    </tr>
                                                </table>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                        </div>
                        <!-- batas Kanan bawah -->

                    </div>
                </div>

            </div>

        </form>

    </div>
    <!--end page wrapper -->


    <script>
        function tableToJSON(tblObj) {
            var data = [];
            var $headers = $(tblObj).find("th");
            var $rows = $(tblObj).find("tbody tr").each(function(index) {
                $cells = $(this).find("td");
                data[index] = {};
                $cells.each(function(cellIndex) {
                    data[index][$($headers[cellIndex]).html()] = $(this).html();
                });
            });
            return data;
        }

        function simpan() {
            $.ajax({
                type: 'POST',
                data: {
                    data: JSON.stringify($('#TabelHasilJTL').DataTable().rows().data().toArray())
                },

                url: "<?php echo base_url(); ?>/JTL/Simpan_HasilJTL",
                dataType: 'JSON',
                success: function(response) {
                    alert(response.msg);
                }
            });
        }
    </script>